Loading...
Searching...
No Matches
pappso::cbor::mzcbor::MzcborIndexReader Class Reference

`#include <mzcborindexreader.h>`

Inheritance diagram for pappso::cbor::mzcbor::MzcborIndexReader:

## Public Member Functions

| MzcborIndexReader ()
virtual | ~MzcborIndexReader ()
virtual void | readCbor (QFile *cborp)
virtual void | close ()
| convenient function to clean pointer before leaving
bool | isMzcborIndex () const
const std::vector< QString > & | getRunIdList () const
const std::vector< std::vector< qint64 > > & | getRunAndSpectrumOffsetList () const
const std::vector< std::vector< QString > > & | getRunAndSpectrumIdList () const
const std::vector< std::vector< qint64 > > & | getRunAndSpectrumTotalIonCountList () const
const std::vector< std::vector< std::uint8_t > > & | getRunAndSpectrumMsLevelList () const
const std::vector< std::vector< double > > & | getRunAndSpectrumRtList () const
Public Member Functions inherited from pappso::cbor::CborStreamReaderInterface
| CborStreamReaderInterface ()
virtual | ~CborStreamReaderInterface ()

## Protected Member Functions

void | readRoot ()
Protected Member Functions inherited from pappso::cbor::CborStreamReaderInterface
bool | getExpectedString ()
void | initCborReader (QFile *pcborfile)
void | initCborReader (QIODevice *pcborfile)

## Private Attributes

bool | m_isMzcborIndex = false
QString | m_from
std::vector< QString > | m_runIdList
std::vector< std::vector< qint64 > > | m_runAndSpectrumOffsetList
std::vector< std::vector< QString > > | m_runAndSpectrumIdList
std::vector< std::vector< qint64 > > | m_runAndSpectrumTotalIonCountList
std::vector< std::vector< std::uint8_t > > | m_runAndSpectrumMsLevelList
std::vector< std::vector< double > > | m_runAndSpectrumRtList

## Additional Inherited Members

Protected Attributes inherited from pappso::cbor::CborStreamReaderInterface
CborStreamReader * | mpa_cborReader = nullptr
QString | m_expectedString
QByteArray | m_data

## Detailed Description

Todo
  write docs

Definition at line 42 of file mzcborindexreader.h.

## Constructor & Destructor Documentation

## MzcborIndexReader()

pappso::cbor::mzcbor::MzcborIndexReader::MzcborIndexReader | ( |  | ) |

Default constructor

Definition at line 32 of file mzcborindexreader.cpp.

{
}

## ~MzcborIndexReader()

pappso::cbor::mzcbor::MzcborIndexReader::~MzcborIndexReader | ( |  | ) |

virtual

Destructor

Definition at line 36 of file mzcborindexreader.cpp.

{
}

## Member Function Documentation

## close()

void pappso::cbor::mzcbor::MzcborIndexReader::close | ( |  | ) |

virtual

convenient function to clean pointer before leaving

Reimplemented from pappso::cbor::CborStreamReaderInterface.

Definition at line 41 of file mzcborindexreader.cpp.

{
}

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunAndSpectrumIdList()

const std::vector< std::vector< QString > > & pappso::cbor::mzcbor::MzcborIndexReader::getRunAndSpectrumIdList | ( |  | ) | const

Definition at line 168 of file mzcborindexreader.cpp.

{
return m_runAndSpectrumIdList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumIdList
std::vector< std::vector< QString > > m_runAndSpectrumIdList
Definition mzcborindexreader.h:77

References m_runAndSpectrumIdList.

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunAndSpectrumMsLevelList()

const std::vector< std::vector< std::uint8_t > > & pappso::cbor::mzcbor::MzcborIndexReader::getRunAndSpectrumMsLevelList | ( |  | ) | const

Definition at line 186 of file mzcborindexreader.cpp.

{
return m_runAndSpectrumMsLevelList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumMsLevelList
std::vector< std::vector< std::uint8_t > > m_runAndSpectrumMsLevelList
Definition mzcborindexreader.h:79

References m_runAndSpectrumMsLevelList.

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunAndSpectrumOffsetList()

const std::vector< std::vector< qint64 > > & pappso::cbor::mzcbor::MzcborIndexReader::getRunAndSpectrumOffsetList | ( |  | ) | const

Definition at line 162 of file mzcborindexreader.cpp.

{
return m_runAndSpectrumOffsetList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumOffsetList
std::vector< std::vector< qint64 > > m_runAndSpectrumOffsetList
Definition mzcborindexreader.h:76

References m_runAndSpectrumOffsetList.

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunAndSpectrumRtList()

const std::vector< std::vector< double > > & pappso::cbor::mzcbor::MzcborIndexReader::getRunAndSpectrumRtList | ( |  | ) | const

Definition at line 180 of file mzcborindexreader.cpp.

{
return m_runAndSpectrumRtList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumRtList
std::vector< std::vector< double > > m_runAndSpectrumRtList
Definition mzcborindexreader.h:80

References m_runAndSpectrumRtList.

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunAndSpectrumTotalIonCountList()

const std::vector< std::vector< qint64 > > & pappso::cbor::mzcbor::MzcborIndexReader::getRunAndSpectrumTotalIonCountList | ( |  | ) | const

Definition at line 174 of file mzcborindexreader.cpp.

{
return m_runAndSpectrumTotalIonCountList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumTotalIonCountList
std::vector< std::vector< qint64 > > m_runAndSpectrumTotalIonCountList
Definition mzcborindexreader.h:78

References m_runAndSpectrumTotalIonCountList.

Referenced by pappso::MzcborMsRunReader::initialize().

## getRunIdList()

const std::vector< QString > & pappso::cbor::mzcbor::MzcborIndexReader::getRunIdList | ( |  | ) | const

Definition at line 155 of file mzcborindexreader.cpp.

{
return m_runIdList;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_runIdList
std::vector< QString > m_runIdList
Definition mzcborindexreader.h:75

References m_runIdList.

Referenced by pappso::MzcborMsRunReader::initialize().

## isMzcborIndex()

bool pappso::cbor::mzcbor::MzcborIndexReader::isMzcborIndex | ( |  | ) | const

Definition at line 148 of file mzcborindexreader.cpp.

{
return m_isMzcborIndex;
}
pappso::cbor::mzcbor::MzcborIndexReader::m_isMzcborIndex
bool m_isMzcborIndex
Definition mzcborindexreader.h:73

References m_isMzcborIndex.

## readCbor()

void pappso::cbor::mzcbor::MzcborIndexReader::readCbor | ( | QFile * | cborp | ) |

virtual

Definition at line 46 of file mzcborindexreader.cpp.

{
qDebug();
initCborReader(cborp);
qDebug();
if(mpa_cborReader->isMap())
{
readRoot();
}
qDebug();
}
pappso::cbor::CborStreamReaderInterface::initCborReader
void initCborReader(QFile *pcborfile)
Definition cborstreamreaderinterface.cpp:80
pappso::cbor::CborStreamReaderInterface::mpa_cborReader
CborStreamReader * mpa_cborReader
Definition cborstreamreaderinterface.h:68
pappso::cbor::mzcbor::MzcborIndexReader::readRoot
void readRoot()
Definition mzcborindexreader.cpp:61

References pappso::cbor::CborStreamReaderInterface::initCborReader(), pappso::cbor::CborStreamReaderInterface::mpa_cborReader, and readRoot().

Referenced by pappso::MzcborMsRunReader::initialize().

## readRoot()

void pappso::cbor::mzcbor::MzcborIndexReader::readRoot | ( |  | ) |

protected

Definition at line 61 of file mzcborindexreader.cpp.

{
qDebug();
mpa_cborReader->enterContainer();
while(getExpectedString())
{
if(m_expectedString == "informations")
{
QCborMap cbor_informations;
mpa_cborReader->readCborMap(cbor_informations);
}
else if(m_expectedString == "from")
{
m_isMzcborIndex = true;
qDebug() << m_expectedString;
if(getExpectedString())
{
m_from = m_expectedString;
}
}
else if(m_expectedString == "runIdList")
{
mpa_cborReader->readArray(m_runIdList);
}
else if(m_expectedString == "runSpectrumIndexList")
{
std::size_t length = mpa_cborReader->length();
mpa_cborReader->enterContainer();
for(std::size_t i = 0; i < length; i++)
{
m_runAndSpectrumOffsetList.push_back(std::vector<qint64>());
mpa_cborReader->readArray(m_runAndSpectrumOffsetList.back());
}
mpa_cborReader->leaveContainer();
}
else if(m_expectedString == "runSpectrumNativeIdList")
{
std::size_t length = mpa_cborReader->length();
mpa_cborReader->enterContainer();
for(std::size_t i = 0; i < length; i++)
{
m_runAndSpectrumIdList.push_back(std::vector<QString>());
mpa_cborReader->readArray(m_runAndSpectrumIdList.back());
}
mpa_cborReader->leaveContainer();
}
else if(m_expectedString == "runSpectrumMsLevelList")
{
std::size_t length = mpa_cborReader->length();
mpa_cborReader->enterContainer();
for(std::size_t i = 0; i < length; i++)
{
m_runAndSpectrumMsLevelList.push_back(std::vector<std::uint8_t>());
mpa_cborReader->readArray(m_runAndSpectrumMsLevelList.back());
}
mpa_cborReader->leaveContainer();
}
else if(m_expectedString == "runSpectrumTotalIonCountList")
{
std::size_t length = mpa_cborReader->length();
mpa_cborReader->enterContainer();
for(std::size_t i = 0; i < length; i++)
{
m_runAndSpectrumTotalIonCountList.push_back(std::vector<qint64>());
mpa_cborReader->readArray(m_runAndSpectrumTotalIonCountList.back());
}
mpa_cborReader->leaveContainer();
}
else if(m_expectedString == "runSpectrumRtList")
{
std::size_t length = mpa_cborReader->length();
mpa_cborReader->enterContainer();
for(std::size_t i = 0; i < length; i++)
{
m_runAndSpectrumRtList.push_back(std::vector<double>());
mpa_cborReader->readArray(m_runAndSpectrumRtList.back());
}
mpa_cborReader->leaveContainer();
}
}
mpa_cborReader->leaveContainer();
}
pappso::cbor::CborStreamReaderInterface::m_expectedString
QString m_expectedString
Definition cborstreamreaderinterface.h:69
pappso::cbor::CborStreamReaderInterface::getExpectedString
bool getExpectedString()
Definition cborstreamreaderinterface.cpp:54
pappso::cbor::mzcbor::MzcborIndexReader::m_from
QString m_from
Definition mzcborindexreader.h:74

References pappso::cbor::CborStreamReaderInterface::getExpectedString(), pappso::cbor::CborStreamReaderInterface::m_expectedString, m_from, m_isMzcborIndex, m_runAndSpectrumIdList, m_runAndSpectrumMsLevelList, m_runAndSpectrumOffsetList, m_runAndSpectrumRtList, m_runAndSpectrumTotalIonCountList, m_runIdList, and pappso::cbor::CborStreamReaderInterface::mpa_cborReader.

Referenced by readCbor().

## Member Data Documentation

## m_from

QString pappso::cbor::mzcbor::MzcborIndexReader::m_from

private

Definition at line 74 of file mzcborindexreader.h.

Referenced by readRoot().

## m_isMzcborIndex

bool pappso::cbor::mzcbor::MzcborIndexReader::m_isMzcborIndex = false

private

Definition at line 73 of file mzcborindexreader.h.

Referenced by isMzcborIndex(), and readRoot().

## m_runAndSpectrumIdList

std::vector<std::vector<QString> > pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumIdList

private

Definition at line 77 of file mzcborindexreader.h.

Referenced by getRunAndSpectrumIdList(), and readRoot().

## m_runAndSpectrumMsLevelList

std::vector<std::vector<std::uint8_t> > pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumMsLevelList

private

Definition at line 79 of file mzcborindexreader.h.

Referenced by getRunAndSpectrumMsLevelList(), and readRoot().

## m_runAndSpectrumOffsetList

std::vector<std::vector<qint64> > pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumOffsetList

private

Definition at line 76 of file mzcborindexreader.h.

Referenced by getRunAndSpectrumOffsetList(), and readRoot().

## m_runAndSpectrumRtList

std::vector<std::vector<double> > pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumRtList

private

Definition at line 80 of file mzcborindexreader.h.

Referenced by getRunAndSpectrumRtList(), and readRoot().

## m_runAndSpectrumTotalIonCountList

std::vector<std::vector<qint64> > pappso::cbor::mzcbor::MzcborIndexReader::m_runAndSpectrumTotalIonCountList

private

Definition at line 78 of file mzcborindexreader.h.

Referenced by getRunAndSpectrumTotalIonCountList(), and readRoot().

## m_runIdList

std::vector<QString> pappso::cbor::mzcbor::MzcborIndexReader::m_runIdList

private

Definition at line 75 of file mzcborindexreader.h.

Referenced by getRunIdList(), and readRoot().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/mzcbor/mzcborindexreader.h
- pappsomspp/core/processing/cbor/mzcbor/mzcborindexreader.cpp